<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class LoginController extends Controller
{
    public function showLoginForm()
    {
        return view('login');
    }

    public function showChangePasswordForm()
    {
        return view('change-password');
    }

    public function showProfile()


    {
        return view('pages.my-profile');
    }

    public function storeUsername(Request $request)
    {
        session(['username' => $request->input('username')]);
        return response()->json(['success' => true]);
    }
}